/*
   MakeParentChild.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 19
   Create parent/child tables used in Parent/Child report.
*/

// close any open databases and tables
close database
// if tables by these names exist, delete them:
if file( "ParentTest.dbf" )
   drop table ParentTest
endif
if file( "ChildTest.dbf" )
   drop table ChildTest
endif

// create the parent table, and add some rows:
create table ParentTest (;
             LinkField autoinc,;
             ParentData char(10) )
use ParentTest
append blank
replace ParentData with "Parent 1"
append blank
replace ParentData with "Parent 2"
append blank
replace ParentData with "Parent 3"
append blank
replace ParentData with "Parent 4"
use // close table

// create the child table, and add some rows
create table ChildTest (;
             LinkField integer,;
             ChildData char(20) )
create index LinkField on ChildTest (LinkField)
use ChildTest
append blank
replace LinkField with 1, ChildData with "Parent 1, Child 1"
append blank
replace LinkField with 1, ChildData with "Parent 1, Child 2"
append blank
replace LinkField with 1, ChildData with "Parent 1, Child 3"
append blank
replace LinkField with 2, ChildData with "Parent 2, Child 1"
append blank
replace LinkField with 3, ChildData with "Parent 3, Child 1"
append blank
replace LinkField with 3, ChildData with "Parent 3, Child 2"
append blank
replace LinkField with 4, ChildData with "Parent 4, Child 1"
append blank
replace LinkField with 4, ChildData with "Parent 4, Child 2"
append blank
replace LinkField with 4, ChildData with "Parent 4, Child 3"
append blank
replace LinkField with 4, ChildData with "Parent 4, Child 4"
append blank
replace LinkField with 4, ChildData with "Parent 4, Child 5"
use

? "Done"